Get
/api/v1/Execution/projects/{projectId}/jobs/{jobId}/results/{batchKey}
Returns the execution summary of a specified job
Path parameters
projectId
integer (int32) Required
Project containing the job
jobId
integer (int32) Required
Job to retrieve
batchKey
stringRequired
Execution to retrieve
Responses
200
OK
object
name
string | null
The job batch's name
dateStarted
string (date-time) | null
The job batch's start date
dateCompleted
string (date-time) | null
The job batch's date of completion
status
string
Valid values[
"Running",
"Aborting",
"Aborted",
"Completed",
"Abandoned"
]
tests
Array of object (Configuration.Api.Models.v1.JobBatchTest)
The job batch's tests
object
id
integer (int32)
projectId
integer (int32)
folderId
integer (int32)
name
string | null
status
string | null
dateStarted
string (date-time) | null
dateCompleted
string (date-time) | null
duration
integer (int32) | null
403
Forbidden
404
Not Found
object
error
string | null